"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WToolbarColors = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const ToolbarColors_1 = require("../custom/ToolbarColors");
const WToolbarColors = ({ className, editor, focus, onClick, }) => {
    const action = editor.actions.colorify;
    const currentColor = action.meta();
    return (react_1.default.createElement(ToolbarColors_1.ToolbarColors, { active: action.isActive(), enable: action.isEnable(), currentColor: currentColor, exec: (color) => {
            action.run({ color: color === currentColor ? '' : color });
        }, className: className, focus: focus, onClick: onClick, withDefault: true }));
};
exports.WToolbarColors = WToolbarColors;
