"use strict";
var _SchemaSpecRegistry_spec;
Object.defineProperty(exports, "__esModule", { value: true });
exports.SchemaSpecRegistry = void 0;
const tslib_1 = require("tslib");
const prosemirror_model_1 = require("prosemirror-model");
class SchemaSpecRegistry {
    constructor(topNode) {
        _SchemaSpecRegistry_spec.set(this, void 0);
        tslib_1.__classPrivateFieldSet(this, _SchemaSpecRegistry_spec, { topNode, nodes: {}, marks: {} }, "f");
    }
    addNode(name, spec) {
        tslib_1.__classPrivateFieldGet(this, _SchemaSpecRegistry_spec, "f").nodes[name] = spec;
        return this;
    }
    addMark(name, spec) {
        tslib_1.__classPrivateFieldGet(this, _SchemaSpecRegistry_spec, "f").marks[name] = spec;
        return this;
    }
    createSchema() {
        return new prosemirror_model_1.Schema(tslib_1.__classPrivateFieldGet(this, _SchemaSpecRegistry_spec, "f"));
    }
}
exports.SchemaSpecRegistry = SchemaSpecRegistry;
_SchemaSpecRegistry_spec = new WeakMap();
