import type { KatexOptions } from 'katex';
export type { KatexOptions };
export declare type RunOptions = KatexOptions & {
    querySelector?: string;
    nodes?: HTMLElement[];
    sanitize?: (content: string) => string;
};
export declare type ExposedAPI = {
    run: (options?: RunOptions) => Promise<void>;
};
declare global {
    interface Window {
        latexJsonp: Callback[];
    }
    type Callback = (exposed: ExposedAPI) => void | Promise<void>;
}
