"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.YfmHtmlBlockConsts = exports.YfmHtmlBlockAction = exports.yfmHtmlBlockNodeType = exports.yfmHtmlBlockNodeName = exports.YfmHtmlBlockAttrs = void 0;
const schema_1 = require("../../../../utils/schema");
var YfmHtmlBlockAttrs;
(function (YfmHtmlBlockAttrs) {
    YfmHtmlBlockAttrs["class"] = "class";
    YfmHtmlBlockAttrs["frameborder"] = "frameborder";
    YfmHtmlBlockAttrs["newCreated"] = "newCreated";
    YfmHtmlBlockAttrs["srcdoc"] = "srcdoc";
    YfmHtmlBlockAttrs["style"] = "style";
})(YfmHtmlBlockAttrs = exports.YfmHtmlBlockAttrs || (exports.YfmHtmlBlockAttrs = {}));
exports.yfmHtmlBlockNodeName = 'yfm_html_block';
exports.yfmHtmlBlockNodeType = (0, schema_1.nodeTypeFactory)(exports.yfmHtmlBlockNodeName);
exports.YfmHtmlBlockAction = 'createYfmHtmlBlock';
exports.YfmHtmlBlockConsts = {
    NodeName: exports.yfmHtmlBlockNodeName,
    NodeAttrs: YfmHtmlBlockAttrs,
    nodeType: exports.yfmHtmlBlockNodeType,
};
