/** Сontains all data formats known to us */
export declare enum DataTransferType {
    Text = "text/plain",
    Html = "text/html",
    Yfm = "text/yfm",
    UriList = "text/uri-list",
    VSCodeData = "vscode-editor-data",
    Files = "Files"
}
export declare function isIosSafariShare({ types }: DataTransfer): boolean;
export declare function isFilesOnly({ types }: DataTransfer): boolean;
export declare function isFilesFromHtml({ types }: DataTransfer): boolean;
export declare function isImageFile(file: File): boolean;
export declare function extractTextContentFromHtml(html: string): string | null;
