"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Cursor = exports.isGapCursorSelection = exports.GapCursorSelection = void 0;
const prosemirror_dropcursor_1 = require("prosemirror-dropcursor");
const gapcursor_1 = require("./gapcursor");
var GapCursorSelection_1 = require("./GapCursorSelection");
Object.defineProperty(exports, "GapCursorSelection", { enumerable: true, get: function () { return GapCursorSelection_1.GapCursorSelection; } });
Object.defineProperty(exports, "isGapCursorSelection", { enumerable: true, get: function () { return GapCursorSelection_1.isGapCursorSelection; } });
const Cursor = (builder, opts) => {
    builder.addPlugin(() => (0, gapcursor_1.gapCursor)());
    builder.addPlugin(() => (0, prosemirror_dropcursor_1.dropCursor)(opts.dropOptions));
};
exports.Cursor = Cursor;
