"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Superscript = exports.superscript = exports.superscriptType = exports.superscriptMarkName = void 0;
const actions_1 = require("../../../utils/actions");
const inputrules_1 = require("../../../utils/inputrules");
const SuperscriptSpecs_1 = require("./SuperscriptSpecs");
var SuperscriptSpecs_2 = require("./SuperscriptSpecs");
Object.defineProperty(exports, "superscriptMarkName", { enumerable: true, get: function () { return SuperscriptSpecs_2.superscriptMarkName; } });
Object.defineProperty(exports, "superscriptType", { enumerable: true, get: function () { return SuperscriptSpecs_2.superscriptType; } });
/** @deprecated Use `superscriptMarkName` instead */
exports.superscript = SuperscriptSpecs_1.superscriptMarkName;
const supAction = 'supscript';
const Superscript = (builder) => {
    builder.use(SuperscriptSpecs_1.SuperscriptSpecs);
    builder
        .addAction(supAction, ({ schema }) => (0, actions_1.createToggleMarkAction)((0, SuperscriptSpecs_1.superscriptType)(schema)))
        .addInputRules(({ schema }) => ({
        rules: [
            (0, inputrules_1.markInputRule)({ open: '^', close: '^', ignoreBetween: '^' }, (0, SuperscriptSpecs_1.superscriptType)(schema)),
        ],
    }));
};
exports.Superscript = Superscript;
