"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImageWidget = void 0;
const actions_1 = require("./actions");
const addImageWidgetAction = 'addImageWidget';
const ImageWidget = (builder, opts) => {
    builder.addAction(addImageWidgetAction, (deps) => (0, actions_1.addImageWidget)(deps, {
        uploadImages: opts.imageUploadHandler,
        needToSetDimensionsForUploadedImages: opts.needToSetDimensionsForUploadedImages,
    }));
};
exports.ImageWidget = ImageWidget;
