"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.yfmTableTransformPastedPlugin = void 0;
const prosemirror_state_1 = require("prosemirror-state");
const paste_1 = require("../paste");
const yfmTableTransformPastedPlugin = ({ schema }) => new prosemirror_state_1.Plugin({
    props: {
        transformPasted(slice) {
            return (0, paste_1.fixPastedTableBodies)(slice, schema);
        },
    },
});
exports.yfmTableTransformPastedPlugin = yfmTableTransformPastedPlugin;
