"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parserTokens = void 0;
const const_1 = require("./const");
const attrsFromEntries = (token) => (token.attrs ? Object.fromEntries(token.attrs) : {});
exports.parserTokens = {
    [const_1.TabsNode.TabPanel]: {
        name: const_1.TabsNode.TabPanel,
        type: 'block',
        getAttrs: attrsFromEntries,
    },
    [const_1.TabsNode.Tab]: {
        name: const_1.TabsNode.Tab,
        type: 'block',
        getAttrs: attrsFromEntries,
    },
    [const_1.TabsNode.Tabs]: {
        name: const_1.TabsNode.Tabs,
        type: 'block',
        getAttrs: attrsFromEntries,
    },
    [const_1.TabsNode.TabsList]: {
        name: const_1.TabsNode.TabsList,
        type: 'block',
        getAttrs: attrsFromEntries,
    },
    [const_1.TabsNode.RadioTabs]: {
        name: const_1.TabsNode.RadioTabs,
        type: 'block',
        getAttrs: attrsFromEntries,
    },
    [const_1.TabsNode.RadioTab]: {
        name: const_1.TabsNode.RadioTab,
        type: 'block',
        getAttrs: attrsFromEntries,
    },
    [const_1.TabsNode.RadioTabInput]: {
        name: const_1.TabsNode.RadioTabInput,
        type: 'node',
        getAttrs: attrsFromEntries,
    },
    [const_1.TabsNode.RadioTabLabel]: {
        name: const_1.TabsNode.RadioTabLabel,
        type: 'block',
        getAttrs: attrsFromEntries,
    },
};
