"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UrlInputRow = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const icons_1 = require("@gravity-ui/icons");
const uikit_1 = require("@gravity-ui/uikit");
const classname_1 = require("../classname");
const forms_1 = require("../i18n/forms");
const b = (0, classname_1.cn)('url-input-row');
exports.UrlInputRow = react_1.default.memo(function UrlInputRow({ href, input }) {
    return (react_1.default.createElement("div", { className: b() },
        input,
        react_1.default.createElement(uikit_1.ActionTooltip, { title: (0, forms_1.i18n)('link_open_help') },
            react_1.default.createElement(uikit_1.Button, { className: b('button'), view: "flat", size: "s", href: href, target: "_blank" },
                react_1.default.createElement(uikit_1.Icon, { data: icons_1.ArrowUpRightFromSquare, size: 16 })))));
});
