/// <reference types="lodash" />
declare type SetTrue = () => void;
declare type SetFalse = () => void;
declare type Toggle = () => void;
export declare function useBooleanState(initial: boolean | (() => boolean)): [boolean, SetTrue, SetFalse, Toggle];
export declare const useComponentWillMount: (cb: () => void) => void;
export declare const useRenderTime: (cb: (time: number) => void) => void;
declare type AnyFunction = (...args: any[]) => any;
export declare function useDebounce<Fn extends AnyFunction>(cb: Fn, wait: number): import("lodash").DebouncedFunc<(...args: Parameters<Fn>) => void>;
export {};
