"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.withLogAction = void 0;
const logger_1 = require("../logger");
function withLogAction(action, command) {
    return (...args) => {
        const res = command(...args);
        if (res)
            logger_1.logger.action({ action, source: 'keymap' });
        return res;
    };
}
exports.withLogAction = withLogAction;
