import type { Node, NodeType, ResolvedPos } from 'prosemirror-model';
import { NodeSelection, Selection, TextSelection } from 'prosemirror-state';
export declare const isTextSelection: (selection: Selection) => selection is TextSelection;
export declare const isNodeSelection: (selection: Selection) => selection is NodeSelection;
export declare const isWholeSelection: (selection: Selection) => boolean;
export declare const get$Cursor: (selection: Selection) => ResolvedPos | null;
export declare function get$CursorAtBlockStart(selection: Selection): ResolvedPos | null;
export declare const equalNodeType: (nodeType: NodeType[] | NodeType, node: Node) => boolean;
export declare const findSelectedNodeOfType: (nodeType: NodeType) => (selection: Selection) => {
    node: Node;
    pos: number;
    depth: number;
} | null;
