import type { DropdownMenuItem } from '@gravity-ui/uikit';
import { CommonAnswer } from '../ErrorScreen/types';
import type { GptDialogProps } from '../GptDialog/GptDialog';
import type { PresetListProps } from '../PresetList/PresetList';
declare type UsePresetListProps<AnswerData extends CommonAnswer = CommonAnswer, PromptData extends unknown = unknown> = Pick<GptDialogProps<AnswerData, PromptData>, 'promptPresets'> & {
    onPresetClick: PresetListProps<AnswerData, PromptData>['onPresetClick'];
};
export declare const usePresetList: <AnswerData extends CommonAnswer = CommonAnswer, PromptData extends unknown = unknown>({ promptPresets, onPresetClick, }: UsePresetListProps<AnswerData, PromptData>) => {
    measured: boolean;
    showMoreButton: boolean;
    presetsContainerRef: import("react").RefObject<HTMLDivElement>;
    visiblePresets: import("../ErrorScreen/types").PromptPreset<PromptData>[];
    hiddenPresets: DropdownMenuItem<unknown>[];
};
export {};
