import { nodeTypeFactory } from '../../../../utils/schema';
export var YfmHtmlBlockAttrs;
(function (YfmHtmlBlockAttrs) {
    YfmHtmlBlockAttrs["class"] = "class";
    YfmHtmlBlockAttrs["frameborder"] = "frameborder";
    YfmHtmlBlockAttrs["newCreated"] = "newCreated";
    YfmHtmlBlockAttrs["srcdoc"] = "srcdoc";
    YfmHtmlBlockAttrs["style"] = "style";
})(YfmHtmlBlockAttrs || (YfmHtmlBlockAttrs = {}));
export const yfmHtmlBlockNodeName = 'yfm_html_block';
export const yfmHtmlBlockNodeType = nodeTypeFactory(yfmHtmlBlockNodeName);
export const YfmHtmlBlockAction = 'createYfmHtmlBlock';
export const YfmHtmlBlockConsts = {
    NodeName: yfmHtmlBlockNodeName,
    NodeAttrs: YfmHtmlBlockAttrs,
    nodeType: yfmHtmlBlockNodeType,
};
