import type { Action, ExtensionAuto } from '../../../core';
export { italicMarkName, italicType } from './ItalicSpecs';
/** @deprecated Use `italicMarkName` instead */
export declare const italic = "em";
declare const iAction = "italic";
export declare type ItalicOptions = {
    italicKey?: string | null;
};
export declare const Italic: ExtensionAuto<ItalicOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [iAction]: Action;
        }
    }
}
