export declare const i18n: <G extends "error-text" | "retry-button" | "start-again-button", S extends string>(key: G | (string extends S ? S : never), params?: {
    [key: string]: any;
} | undefined) => S extends G ? {
    "error-text": string;
    "retry-button": string;
    "start-again-button": string;
}[G] : string;
export declare type I18nKey = Parameters<typeof i18n>[0];
