import type { ExtensionAuto } from '../core';
import { ColorSpecsOptions, EmojiSpecsOptions } from '../extensions/specs';
import { YfmSpecsPresetOptions } from './yfm-specs';
export declare type FullSpecsPresetOptions = YfmSpecsPresetOptions & {
    emoji?: EmojiSpecsOptions;
    color: ColorSpecsOptions;
};
export declare const FullSpecsPreset: ExtensionAuto<FullSpecsPresetOptions>;
