import { ColorSpecs, EmojiSpecs, MarkSpecs, } from '../extensions/specs';
import { YfmSpecsPreset } from './yfm-specs';
export const FullSpecsPreset = (builder, opts) => {
    builder.use(YfmSpecsPreset, opts);
    builder.use(MarkSpecs).use(ColorSpecs, opts.color);
    if (opts.emoji) {
        builder.use(EmojiSpecs, opts.emoji);
    }
};
