import { Node } from 'prosemirror-model';
export const nodeTypeFactory = (nodeName) => (schema) => schema.nodes[nodeName];
export const markTypeFactory = (markName) => (schema) => schema.marks[markName];
export function isSameNodeType(a, b) {
    const aType = a instanceof Node ? a.type : a;
    const bType = b instanceof Node ? b.type : b;
    return aType === bType;
}
