"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoadingScreen = exports.cnGptDialogLoadingScreen = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const uikit_1 = require("@gravity-ui/uikit");
const classname_1 = require("../../../../../classname");
const loading_1 = require("../../../../../i18n/gpt/loading");
const GPTLoading_1 = tslib_1.__importDefault(require("../../../../../icons/GPTLoading"));
const IconRefuge_1 = require("../../IconRefuge/IconRefuge");
exports.cnGptDialogLoadingScreen = (0, classname_1.cn)('gpt-dialog-loading-screen');
const LoadingScreen = () => {
    return (react_1.default.createElement("div", { className: (0, exports.cnGptDialogLoadingScreen)() },
        react_1.default.createElement("div", { className: (0, exports.cnGptDialogLoadingScreen)('header') },
            react_1.default.createElement(IconRefuge_1.IconRefuge, { containerClassName: (0, exports.cnGptDialogLoadingScreen)('icon'), data: GPTLoading_1.default, refugeSize: 28, size: 20 }),
            react_1.default.createElement("span", { className: (0, exports.cnGptDialogLoadingScreen)('text') }, (0, loading_1.i18n)('loading-text'))),
        react_1.default.createElement("div", { className: (0, exports.cnGptDialogLoadingScreen)('skeleton') },
            react_1.default.createElement(uikit_1.Skeleton, { className: (0, exports.cnGptDialogLoadingScreen)('skeleton-small-button') }),
            react_1.default.createElement(uikit_1.Skeleton, { className: (0, exports.cnGptDialogLoadingScreen)('skeleton-medium-button') }))));
};
exports.LoadingScreen = LoadingScreen;
