import React from 'react';
import type { Mermaid } from 'mermaid';
import { Node } from 'prosemirror-model';
import { EditorView } from 'prosemirror-view';
import { MermaidConsts } from '../MermaidSpecs/const';
export declare const cnMermaid: import("@bem-react/classname").ClassNameFormatter;
export declare const cnDiagramHelper: import("@bem-react/classname").ClassNameFormatter;
export declare const MermaidView: React.FC<{
    view: EditorView;
    onChange: (attrs: {
        [MermaidConsts.NodeAttrs.content]: string;
    }) => void;
    getMermaidInstance: () => Mermaid;
    node: Node;
    getPos: () => number | undefined;
}>;
