"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MermaidConsts = exports.MermaidAction = exports.mermaidNodeType = exports.mermaidNodeName = exports.MermaidAttrs = void 0;
const schema_1 = require("../../../../utils/schema");
var MermaidAttrs;
(function (MermaidAttrs) {
    MermaidAttrs["content"] = "content";
    MermaidAttrs["class"] = "class";
    MermaidAttrs["newCreated"] = "newCreated";
})(MermaidAttrs = exports.MermaidAttrs || (exports.MermaidAttrs = {}));
exports.mermaidNodeName = 'mermaid';
exports.mermaidNodeType = (0, schema_1.nodeTypeFactory)(exports.mermaidNodeName);
exports.MermaidAction = 'createMermaid';
exports.MermaidConsts = {
    NodeName: exports.mermaidNodeName,
    NodeAttrs: MermaidAttrs,
    nodeType: exports.mermaidNodeType,
};
