"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addMermaid = void 0;
const const_1 = require("./MermaidSpecs/const");
exports.addMermaid = {
    isEnable(state) {
        return state.selection.empty;
    },
    run(state, dispatch, _view) {
        dispatch(state.tr.insert(state.selection.from, (0, const_1.mermaidNodeType)(state.schema).create({
            content: [
                'sequenceDiagram',
                '\tAlice->>Bob: Hi Bob',
                '\tBob->>Alice: Hi Alice',
            ].join('\n'),
            newCreated: true,
        })));
    },
};
