"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.codeBlockPastePlugin = void 0;
const prosemirror_model_1 = require("prosemirror-model");
const prosemirror_state_1 = require("prosemirror-state");
const handle_paste_1 = require("../handle-paste");
const codeBlockPastePlugin = () => new prosemirror_state_1.Plugin({
    props: {
        handleDOMEvents: {
            paste(view, e) {
                if ((0, handle_paste_1.handlePaste)(view, e, prosemirror_model_1.Slice.empty)) {
                    e.preventDefault();
                    return true;
                }
                return false;
            },
        },
    },
});
exports.codeBlockPastePlugin = codeBlockPastePlugin;
