import type { Action, ExtensionAuto } from '../../../core';
import { CheckboxSpecsOptions } from './CheckboxSpecs';
declare const checkboxAction = "addCheckbox";
export { CheckboxNode, checkboxType, checkboxLabelType, checkboxInputType } from './CheckboxSpecs';
export declare type CheckboxOptions = Pick<CheckboxSpecsOptions, 'checkboxLabelPlaceholder'> & {};
export declare const Checkbox: ExtensionAuto<CheckboxOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [checkboxAction]: Action;
        }
    }
}
