import type { Action, ExtensionWithOptions } from '../../../core';
import { YfmTableSpecsOptions } from './YfmTableSpecs';
declare const action = "createYfmTable";
export { convertToYfmTable } from './commands/convert-table';
export { YfmTableNode, yfmTableType, yfmTableBodyType, yfmTableRowType, yfmTableCellType, } from './YfmTableSpecs';
export declare type YfmTableOptions = YfmTableSpecsOptions & {};
export declare const YfmTable: ExtensionWithOptions<YfmTableOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [action]: Action;
        }
    }
}
