/// <reference types="react" />
export declare function renderWidget(container: HTMLElement, props: UploadLabelProps): JSX.Element;
export declare type UploadedFile = {
    fileName: string;
    fileType: 'image' | 'file';
    status: 'uploading' | 'success' | 'error';
    errorText?: string;
};
export declare type UploadLabelProps = UploadedFile & {
    onReUploadClick: () => void;
};
export declare function UploadLabel({ fileName, fileType, status, errorText, onReUploadClick, }: UploadLabelProps): JSX.Element | null;
