"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toggleMarked = exports.toggleMonospace = exports.toggleUnderline = exports.toggleStrikethrough = exports.toggleItalic = exports.toggleBold = exports.colorify = void 0;
const helpers_1 = require("./helpers");
const colorify = (color) => (0, helpers_1.inlineWrapTo)(`{${color}}(`, ')');
exports.colorify = colorify;
exports.toggleBold = (0, helpers_1.toggleInlineMarkupFactory)('**');
exports.toggleItalic = (0, helpers_1.toggleInlineMarkupFactory)('_');
exports.toggleStrikethrough = (0, helpers_1.toggleInlineMarkupFactory)('~~');
exports.toggleUnderline = (0, helpers_1.toggleInlineMarkupFactory)('++');
exports.toggleMonospace = (0, helpers_1.toggleInlineMarkupFactory)('##');
exports.toggleMarked = (0, helpers_1.toggleInlineMarkupFactory)('==');
