import type { ActionStorage } from './types/actions';
export declare class ActionsManager implements ActionStorage {
    #private;
    get actions(): WysiwygEditor.Actions;
    constructor(actions?: WysiwygEditor.Actions);
    action<T extends keyof WysiwygEditor.Actions>(actionName: T): WysiwygEditor.Actions[T];
    setActions(actions: WysiwygEditor.Actions): this;
}
