import type MarkdownIt from 'markdown-it';
import type { Schema } from 'prosemirror-model';
import type { Parser, ParserToken } from './types/parser';
export declare class ParserTokensRegistry {
    #private;
    addToken(name: string, token: ParserToken): this;
    createParser(schema: Schema, tokenizer: MarkdownIt): Parser;
}
