import type { ExtensionNodeSpec } from '../../../../core';
export { mermaidNodeName } from './const';
export declare type MermaidSpecsOptions = {
    nodeView?: ExtensionNodeSpec['view'];
};
export declare const MermaidSpecs: import("../../../../core").ExtensionWithOptions<MermaidSpecsOptions> & {
    readonly NodeName: "mermaid";
    readonly NodeAttrs: typeof import("./const").MermaidAttrs;
    readonly nodeType: (schema: import("prosemirror-model").Schema<any, any>) => import("prosemirror-model").NodeType;
};
