import { clipboard } from './clipboard';
import * as clipboardUtils from './utils';
export { clipboardUtils };
export const Clipboard = (builder, opts) => {
    builder.addPlugin((deps) => clipboard({
        mdParser: deps.markupParser,
        textParser: deps.textParser,
        serializer: deps.serializer,
        pasteFileHandler: opts.pasteFileHandler,
    }), builder.PluginPriority.VeryLow);
};
