import React from 'react';
import { EditorView } from 'prosemirror-view';
import { RendererItem } from '../ReactRenderer';
import { WidgetDescriptor } from './WidgetDescriptor';
export declare abstract class ReactWidgetDescriptor extends WidgetDescriptor {
    protected renderItem?: RendererItem;
    abstract getDomElem(): HTMLElement;
    abstract renderReactElement(view: EditorView, getPos: () => number): React.ReactElement;
    remove(): void;
    protected renderWidget(): HTMLElement;
    protected createRenderItem(): RendererItem;
}
