import type { Action, ExtensionAuto } from '../../../core';
import { ListAction } from './const';
import { ListsInputRulesOptions } from './inputrules';
export { ListNode, ListsAttr, blType, liType, olType } from './ListsSpecs';
export declare type ListsOptions = {
    ulKey?: string | null;
    olKey?: string | null;
    ulInputRules?: ListsInputRulesOptions['bulletListInputRule'];
};
export declare const Lists: ExtensionAuto<ListsOptions>;
declare global {
    namespace WysiwygEditor {
        interface Actions {
            [ListAction.ToBulletList]: Action;
            [ListAction.ToOrderedList]: Action;
            [ListAction.SinkListItem]: Action;
            [ListAction.LiftListItem]: Action;
        }
    }
}
