import { Deflist, Subscript, Superscript, Underline, } from '../extensions/markdown';
import { Checkbox, ImgSize, Monospace, Video, YfmConfigs, YfmCut, YfmFile, YfmHeading, YfmNote, YfmTable, YfmTabs, } from '../extensions/yfm';
import { DefaultPreset } from './default';
export const YfmPreset = (builder, opts) => {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l;
    builder.use(DefaultPreset, Object.assign(Object.assign({}, opts), { image: false, heading: false }));
    builder
        .use(Deflist, (_a = opts.deflist) !== null && _a !== void 0 ? _a : {})
        .use(Subscript)
        .use(Superscript)
        .use(Underline, (_b = opts.underline) !== null && _b !== void 0 ? _b : {})
        .use(Checkbox, (_c = opts.checkbox) !== null && _c !== void 0 ? _c : {})
        .use(ImgSize, (_d = opts.imgSize) !== null && _d !== void 0 ? _d : {})
        .use(Monospace)
        .use(Video, (_e = opts.video) !== null && _e !== void 0 ? _e : {})
        .use(YfmConfigs, (_f = opts.yfmConfigs) !== null && _f !== void 0 ? _f : {})
        .use(YfmCut, (_g = opts.yfmCut) !== null && _g !== void 0 ? _g : {})
        .use(YfmNote, (_h = opts.yfmNote) !== null && _h !== void 0 ? _h : {})
        .use(YfmFile, (_j = opts.yfmFile) !== null && _j !== void 0 ? _j : {})
        .use(YfmHeading, (_k = opts.yfmHeading) !== null && _k !== void 0 ? _k : {})
        .use(YfmTable, (_l = opts.yfmTable) !== null && _l !== void 0 ? _l : {})
        .use(YfmTabs);
};
